"Fossies" - the Fresh Open Source Software Archive

Member "usbutils-015/usbhid-dump/Makefile.in" (5 Aug 2022, 25544 Bytes) of package /linux/misc/usbutils-015.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 014_vs_015.

    1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 # SPDX-License-Identifier: GPL-2.0-or-later
   18 #
   19 # Copyright (C) 2009-2010 Nikolai Kondrashov
   20 #
   21 # This file is part of usbhid-dump.
   22 
   23 VPATH = @srcdir@
   24 am__is_gnu_make = { \
   25   if test -z '$(MAKELEVEL)'; then \
   26     false; \
   27   elif test -n '$(MAKE_HOST)'; then \
   28     true; \
   29   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   30     true; \
   31   else \
   32     false; \
   33   fi; \
   34 }
   35 am__make_running_with_option = \
   36   case $${target_option-} in \
   37       ?) ;; \
   38       *) echo "am__make_running_with_option: internal error: invalid" \
   39               "target option '$${target_option-}' specified" >&2; \
   40          exit 1;; \
   41   esac; \
   42   has_opt=no; \
   43   sane_makeflags=$$MAKEFLAGS; \
   44   if $(am__is_gnu_make); then \
   45     sane_makeflags=$$MFLAGS; \
   46   else \
   47     case $$MAKEFLAGS in \
   48       *\\[\ \	]*) \
   49         bs=\\; \
   50         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   51           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   52     esac; \
   53   fi; \
   54   skip_next=no; \
   55   strip_trailopt () \
   56   { \
   57     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   58   }; \
   59   for flg in $$sane_makeflags; do \
   60     test $$skip_next = yes && { skip_next=no; continue; }; \
   61     case $$flg in \
   62       *=*|--*) continue;; \
   63         -*I) strip_trailopt 'I'; skip_next=yes;; \
   64       -*I?*) strip_trailopt 'I';; \
   65         -*O) strip_trailopt 'O'; skip_next=yes;; \
   66       -*O?*) strip_trailopt 'O';; \
   67         -*l) strip_trailopt 'l'; skip_next=yes;; \
   68       -*l?*) strip_trailopt 'l';; \
   69       -[dEDm]) skip_next=yes;; \
   70       -[JT]) skip_next=yes;; \
   71     esac; \
   72     case $$flg in \
   73       *$$target_option*) has_opt=yes; break;; \
   74     esac; \
   75   done; \
   76   test $$has_opt = yes
   77 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   78 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   79 pkgdatadir = $(datadir)/@PACKAGE@
   80 pkgincludedir = $(includedir)/@PACKAGE@
   81 pkglibdir = $(libdir)/@PACKAGE@
   82 pkglibexecdir = $(libexecdir)/@PACKAGE@
   83 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   84 install_sh_DATA = $(install_sh) -c -m 644
   85 install_sh_PROGRAM = $(install_sh) -c
   86 install_sh_SCRIPT = $(install_sh) -c
   87 INSTALL_HEADER = $(INSTALL_DATA)
   88 transform = $(program_transform_name)
   89 NORMAL_INSTALL = :
   90 PRE_INSTALL = :
   91 POST_INSTALL = :
   92 NORMAL_UNINSTALL = :
   93 PRE_UNINSTALL = :
   94 POST_UNINSTALL = :
   95 subdir = .
   96 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   97 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   98 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   99 	$(ACLOCAL_M4)
  100 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  101 	$(am__configure_deps) $(dist_noinst_SCRIPTS) \
  102 	$(am__DIST_COMMON)
  103 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  104  configure.lineno config.status.lineno
  105 mkinstalldirs = $(install_sh) -d
  106 CONFIG_HEADER = config.h
  107 CONFIG_CLEAN_FILES =
  108 CONFIG_CLEAN_VPATH_FILES =
  109 SCRIPTS = $(dist_noinst_SCRIPTS)
  110 AM_V_P = $(am__v_P_@AM_V@)
  111 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  112 am__v_P_0 = false
  113 am__v_P_1 = :
  114 AM_V_GEN = $(am__v_GEN_@AM_V@)
  115 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  116 am__v_GEN_0 = @echo "  GEN     " $@;
  117 am__v_GEN_1 = 
  118 AM_V_at = $(am__v_at_@AM_V@)
  119 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  120 am__v_at_0 = @
  121 am__v_at_1 = 
  122 SOURCES =
  123 DIST_SOURCES =
  124 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  125 	ctags-recursive dvi-recursive html-recursive info-recursive \
  126 	install-data-recursive install-dvi-recursive \
  127 	install-exec-recursive install-html-recursive \
  128 	install-info-recursive install-pdf-recursive \
  129 	install-ps-recursive install-recursive installcheck-recursive \
  130 	installdirs-recursive pdf-recursive ps-recursive \
  131 	tags-recursive uninstall-recursive
  132 am__can_run_installinfo = \
  133   case $$AM_UPDATE_INFO_DIR in \
  134     n|no|NO) false;; \
  135     *) (install-info --version) >/dev/null 2>&1;; \
  136   esac
  137 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  138   distclean-recursive maintainer-clean-recursive
  139 am__recursive_targets = \
  140   $(RECURSIVE_TARGETS) \
  141   $(RECURSIVE_CLEAN_TARGETS) \
  142   $(am__extra_recursive_targets)
  143 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  144 	cscope distdir distdir-am dist dist-all distcheck
  145 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
  146 	config.h.in
  147 # Read a list of newline-separated strings from the standard input,
  148 # and print each of them once, without duplicates.  Input order is
  149 # *not* preserved.
  150 am__uniquify_input = $(AWK) '\
  151   BEGIN { nonempty = 0; } \
  152   { items[$$0] = 1; nonempty = 1; } \
  153   END { if (nonempty) { for (i in items) print i; }; } \
  154 '
  155 # Make sure the list of sources is unique.  This is necessary because,
  156 # e.g., the same source file might be shared among _SOURCES variables
  157 # for different programs/libraries.
  158 am__define_uniq_tagged_files = \
  159   list='$(am__tagged_files)'; \
  160   unique=`for i in $$list; do \
  161     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  162   done | $(am__uniquify_input)`
  163 DIST_SUBDIRS = $(SUBDIRS)
  164 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  165 	ChangeLog NEWS README.md compile depcomp install-sh missing
  166 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  167 distdir = $(PACKAGE)-$(VERSION)
  168 top_distdir = $(distdir)
  169 am__remove_distdir = \
  170   if test -d "$(distdir)"; then \
  171     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  172       && rm -rf "$(distdir)" \
  173       || { sleep 5 && rm -rf "$(distdir)"; }; \
  174   else :; fi
  175 am__post_remove_distdir = $(am__remove_distdir)
  176 am__relativize = \
  177   dir0=`pwd`; \
  178   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  179   sed_rest='s,^[^/]*/*,,'; \
  180   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  181   sed_butlast='s,/*[^/]*$$,,'; \
  182   while test -n "$$dir1"; do \
  183     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  184     if test "$$first" != "."; then \
  185       if test "$$first" = ".."; then \
  186         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  187         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  188       else \
  189         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  190         if test "$$first2" = "$$first"; then \
  191           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  192         else \
  193           dir2="../$$dir2"; \
  194         fi; \
  195         dir0="$$dir0"/"$$first"; \
  196       fi; \
  197     fi; \
  198     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  199   done; \
  200   reldir="$$dir2"
  201 DIST_ARCHIVES = $(distdir).tar.gz
  202 GZIP_ENV = --best
  203 DIST_TARGETS = dist-gzip
  204 # Exists only to be overridden by the user if desired.
  205 AM_DISTCHECK_DVI_TARGET = dvi
  206 distuninstallcheck_listfiles = find . -type f -print
  207 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  208   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  209 distcleancheck_listfiles = find . -type f -print
  210 ACLOCAL = @ACLOCAL@
  211 AMTAR = @AMTAR@
  212 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  213 AUTOCONF = @AUTOCONF@
  214 AUTOHEADER = @AUTOHEADER@
  215 AUTOMAKE = @AUTOMAKE@
  216 AWK = @AWK@
  217 CC = @CC@
  218 CCDEPMODE = @CCDEPMODE@
  219 CFLAGS = @CFLAGS@
  220 CPPFLAGS = @CPPFLAGS@
  221 CSCOPE = @CSCOPE@
  222 CTAGS = @CTAGS@
  223 CYGPATH_W = @CYGPATH_W@
  224 DEFS = @DEFS@
  225 DEPDIR = @DEPDIR@
  226 ECHO_C = @ECHO_C@
  227 ECHO_N = @ECHO_N@
  228 ECHO_T = @ECHO_T@
  229 ETAGS = @ETAGS@
  230 EXEEXT = @EXEEXT@
  231 INSTALL = @INSTALL@
  232 INSTALL_DATA = @INSTALL_DATA@
  233 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  234 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  235 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  236 LDFLAGS = @LDFLAGS@
  237 LIBOBJS = @LIBOBJS@
  238 LIBS = @LIBS@
  239 LIBUSB_CFLAGS = @LIBUSB_CFLAGS@
  240 LIBUSB_LIBS = @LIBUSB_LIBS@
  241 LTLIBOBJS = @LTLIBOBJS@
  242 MAINT = @MAINT@
  243 MAKEINFO = @MAKEINFO@
  244 MKDIR_P = @MKDIR_P@
  245 OBJEXT = @OBJEXT@
  246 PACKAGE = @PACKAGE@
  247 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  248 PACKAGE_NAME = @PACKAGE_NAME@
  249 PACKAGE_STRING = @PACKAGE_STRING@
  250 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  251 PACKAGE_URL = @PACKAGE_URL@
  252 PACKAGE_VERSION = @PACKAGE_VERSION@
  253 PATH_SEPARATOR = @PATH_SEPARATOR@
  254 PKG_CONFIG = @PKG_CONFIG@
  255 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  256 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  257 SET_MAKE = @SET_MAKE@
  258 SHELL = @SHELL@
  259 STRIP = @STRIP@
  260 VERSION = @VERSION@
  261 abs_builddir = @abs_builddir@
  262 abs_srcdir = @abs_srcdir@
  263 abs_top_builddir = @abs_top_builddir@
  264 abs_top_srcdir = @abs_top_srcdir@
  265 ac_ct_CC = @ac_ct_CC@
  266 am__include = @am__include@
  267 am__leading_dot = @am__leading_dot@
  268 am__quote = @am__quote@
  269 am__tar = @am__tar@
  270 am__untar = @am__untar@
  271 bindir = @bindir@
  272 build_alias = @build_alias@
  273 builddir = @builddir@
  274 datadir = @datadir@
  275 datarootdir = @datarootdir@
  276 docdir = @docdir@
  277 dvidir = @dvidir@
  278 exec_prefix = @exec_prefix@
  279 host_alias = @host_alias@
  280 htmldir = @htmldir@
  281 includedir = @includedir@
  282 infodir = @infodir@
  283 install_sh = @install_sh@
  284 libdir = @libdir@
  285 libexecdir = @libexecdir@
  286 localedir = @localedir@
  287 localstatedir = @localstatedir@
  288 mandir = @mandir@
  289 mkdir_p = @mkdir_p@
  290 oldincludedir = @oldincludedir@
  291 pdfdir = @pdfdir@
  292 prefix = @prefix@
  293 program_transform_name = @program_transform_name@
  294 psdir = @psdir@
  295 runstatedir = @runstatedir@
  296 sbindir = @sbindir@
  297 sharedstatedir = @sharedstatedir@
  298 srcdir = @srcdir@
  299 sysconfdir = @sysconfdir@
  300 target_alias = @target_alias@
  301 top_build_prefix = @top_build_prefix@
  302 top_builddir = @top_builddir@
  303 top_srcdir = @top_srcdir@
  304 SUBDIRS = src
  305 dist_noinst_SCRIPTS = bootstrap
  306 all: config.h
  307 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  308 
  309 .SUFFIXES:
  310 am--refresh: Makefile
  311 	@:
  312 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  313 	@for dep in $?; do \
  314 	  case '$(am__configure_deps)' in \
  315 	    *$$dep*) \
  316 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  317 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  318 		&& exit 0; \
  319 	      exit 1;; \
  320 	  esac; \
  321 	done; \
  322 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  323 	$(am__cd) $(top_srcdir) && \
  324 	  $(AUTOMAKE) --foreign Makefile
  325 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  326 	@case '$?' in \
  327 	  *config.status*) \
  328 	    echo ' $(SHELL) ./config.status'; \
  329 	    $(SHELL) ./config.status;; \
  330 	  *) \
  331 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  332 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  333 	esac;
  334 
  335 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  336 	$(SHELL) ./config.status --recheck
  337 
  338 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  339 	$(am__cd) $(srcdir) && $(AUTOCONF)
  340 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  341 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  342 $(am__aclocal_m4_deps):
  343 
  344 config.h: stamp-h1
  345 	@test -f $@ || rm -f stamp-h1
  346 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  347 
  348 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  349 	@rm -f stamp-h1
  350 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  351 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
  352 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  353 	rm -f stamp-h1
  354 	touch $@
  355 
  356 distclean-hdr:
  357 	-rm -f config.h stamp-h1
  358 
  359 # This directory's subdirectories are mostly independent; you can cd
  360 # into them and run 'make' without going through this Makefile.
  361 # To change the values of 'make' variables: instead of editing Makefiles,
  362 # (1) if the variable is set in 'config.status', edit 'config.status'
  363 #     (which will cause the Makefiles to be regenerated when you run 'make');
  364 # (2) otherwise, pass the desired values on the 'make' command line.
  365 $(am__recursive_targets):
  366 	@fail=; \
  367 	if $(am__make_keepgoing); then \
  368 	  failcom='fail=yes'; \
  369 	else \
  370 	  failcom='exit 1'; \
  371 	fi; \
  372 	dot_seen=no; \
  373 	target=`echo $@ | sed s/-recursive//`; \
  374 	case "$@" in \
  375 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  376 	  *) list='$(SUBDIRS)' ;; \
  377 	esac; \
  378 	for subdir in $$list; do \
  379 	  echo "Making $$target in $$subdir"; \
  380 	  if test "$$subdir" = "."; then \
  381 	    dot_seen=yes; \
  382 	    local_target="$$target-am"; \
  383 	  else \
  384 	    local_target="$$target"; \
  385 	  fi; \
  386 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  387 	  || eval $$failcom; \
  388 	done; \
  389 	if test "$$dot_seen" = "no"; then \
  390 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  391 	fi; test -z "$$fail"
  392 
  393 ID: $(am__tagged_files)
  394 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  395 tags: tags-recursive
  396 TAGS: tags
  397 
  398 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  399 	set x; \
  400 	here=`pwd`; \
  401 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  402 	  include_option=--etags-include; \
  403 	  empty_fix=.; \
  404 	else \
  405 	  include_option=--include; \
  406 	  empty_fix=; \
  407 	fi; \
  408 	list='$(SUBDIRS)'; for subdir in $$list; do \
  409 	  if test "$$subdir" = .; then :; else \
  410 	    test ! -f $$subdir/TAGS || \
  411 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  412 	  fi; \
  413 	done; \
  414 	$(am__define_uniq_tagged_files); \
  415 	shift; \
  416 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  417 	  test -n "$$unique" || unique=$$empty_fix; \
  418 	  if test $$# -gt 0; then \
  419 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  420 	      "$$@" $$unique; \
  421 	  else \
  422 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  423 	      $$unique; \
  424 	  fi; \
  425 	fi
  426 ctags: ctags-recursive
  427 
  428 CTAGS: ctags
  429 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  430 	$(am__define_uniq_tagged_files); \
  431 	test -z "$(CTAGS_ARGS)$$unique" \
  432 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  433 	     $$unique
  434 
  435 GTAGS:
  436 	here=`$(am__cd) $(top_builddir) && pwd` \
  437 	  && $(am__cd) $(top_srcdir) \
  438 	  && gtags -i $(GTAGS_ARGS) "$$here"
  439 cscope: cscope.files
  440 	test ! -s cscope.files \
  441 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  442 clean-cscope:
  443 	-rm -f cscope.files
  444 cscope.files: clean-cscope cscopelist
  445 cscopelist: cscopelist-recursive
  446 
  447 cscopelist-am: $(am__tagged_files)
  448 	list='$(am__tagged_files)'; \
  449 	case "$(srcdir)" in \
  450 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  451 	  *) sdir=$(subdir)/$(srcdir) ;; \
  452 	esac; \
  453 	for i in $$list; do \
  454 	  if test -f "$$i"; then \
  455 	    echo "$(subdir)/$$i"; \
  456 	  else \
  457 	    echo "$$sdir/$$i"; \
  458 	  fi; \
  459 	done >> $(top_builddir)/cscope.files
  460 
  461 distclean-tags:
  462 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  463 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  464 distdir: $(BUILT_SOURCES)
  465 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  466 
  467 distdir-am: $(DISTFILES)
  468 	$(am__remove_distdir)
  469 	test -d "$(distdir)" || mkdir "$(distdir)"
  470 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  471 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  472 	list='$(DISTFILES)'; \
  473 	  dist_files=`for file in $$list; do echo $$file; done | \
  474 	  sed -e "s|^$$srcdirstrip/||;t" \
  475 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  476 	case $$dist_files in \
  477 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  478 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  479 			   sort -u` ;; \
  480 	esac; \
  481 	for file in $$dist_files; do \
  482 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  483 	  if test -d $$d/$$file; then \
  484 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  485 	    if test -d "$(distdir)/$$file"; then \
  486 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  487 	    fi; \
  488 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  489 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  490 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  491 	    fi; \
  492 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  493 	  else \
  494 	    test -f "$(distdir)/$$file" \
  495 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  496 	    || exit 1; \
  497 	  fi; \
  498 	done
  499 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  500 	  if test "$$subdir" = .; then :; else \
  501 	    $(am__make_dryrun) \
  502 	      || test -d "$(distdir)/$$subdir" \
  503 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
  504 	      || exit 1; \
  505 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  506 	    $(am__relativize); \
  507 	    new_distdir=$$reldir; \
  508 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  509 	    $(am__relativize); \
  510 	    new_top_distdir=$$reldir; \
  511 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  512 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  513 	    ($(am__cd) $$subdir && \
  514 	      $(MAKE) $(AM_MAKEFLAGS) \
  515 	        top_distdir="$$new_top_distdir" \
  516 	        distdir="$$new_distdir" \
  517 		am__remove_distdir=: \
  518 		am__skip_length_check=: \
  519 		am__skip_mode_fix=: \
  520 	        distdir) \
  521 	      || exit 1; \
  522 	  fi; \
  523 	done
  524 	$(MAKE) $(AM_MAKEFLAGS) \
  525 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  526 	  dist-hook
  527 	-test -n "$(am__skip_mode_fix)" \
  528 	|| find "$(distdir)" -type d ! -perm -755 \
  529 		-exec chmod u+rwx,go+rx {} \; -o \
  530 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  531 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  532 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  533 	|| chmod -R a+r "$(distdir)"
  534 dist-gzip: distdir
  535 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  536 	$(am__post_remove_distdir)
  537 
  538 dist-bzip2: distdir
  539 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  540 	$(am__post_remove_distdir)
  541 
  542 dist-lzip: distdir
  543 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  544 	$(am__post_remove_distdir)
  545 
  546 dist-xz: distdir
  547 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  548 	$(am__post_remove_distdir)
  549 
  550 dist-zstd: distdir
  551 	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
  552 	$(am__post_remove_distdir)
  553 
  554 dist-tarZ: distdir
  555 	@echo WARNING: "Support for distribution archives compressed with" \
  556 		       "legacy program 'compress' is deprecated." >&2
  557 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  558 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  559 	$(am__post_remove_distdir)
  560 
  561 dist-shar: distdir
  562 	@echo WARNING: "Support for shar distribution archives is" \
  563 	               "deprecated." >&2
  564 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  565 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  566 	$(am__post_remove_distdir)
  567 
  568 dist-zip: distdir
  569 	-rm -f $(distdir).zip
  570 	zip -rq $(distdir).zip $(distdir)
  571 	$(am__post_remove_distdir)
  572 
  573 dist dist-all:
  574 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  575 	$(am__post_remove_distdir)
  576 
  577 # This target untars the dist file and tries a VPATH configuration.  Then
  578 # it guarantees that the distribution is self-contained by making another
  579 # tarfile.
  580 distcheck: dist
  581 	case '$(DIST_ARCHIVES)' in \
  582 	*.tar.gz*) \
  583 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  584 	*.tar.bz2*) \
  585 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  586 	*.tar.lz*) \
  587 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  588 	*.tar.xz*) \
  589 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  590 	*.tar.Z*) \
  591 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  592 	*.shar.gz*) \
  593 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  594 	*.zip*) \
  595 	  unzip $(distdir).zip ;;\
  596 	*.tar.zst*) \
  597 	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
  598 	esac
  599 	chmod -R a-w $(distdir)
  600 	chmod u+w $(distdir)
  601 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  602 	chmod a-w $(distdir)
  603 	test -d $(distdir)/_build || exit 0; \
  604 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  605 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  606 	  && am__cwd=`pwd` \
  607 	  && $(am__cd) $(distdir)/_build/sub \
  608 	  && ../../configure \
  609 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  610 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  611 	    --srcdir=../.. --prefix="$$dc_install_base" \
  612 	  && $(MAKE) $(AM_MAKEFLAGS) \
  613 	  && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
  614 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  615 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  616 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  617 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  618 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  619 	        distuninstallcheck \
  620 	  && chmod -R a-w "$$dc_install_base" \
  621 	  && ({ \
  622 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  623 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  624 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  625 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  626 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  627 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  628 	  && rm -rf "$$dc_destdir" \
  629 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  630 	  && rm -rf $(DIST_ARCHIVES) \
  631 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  632 	  && cd "$$am__cwd" \
  633 	  || exit 1
  634 	$(am__post_remove_distdir)
  635 	@(echo "$(distdir) archives ready for distribution: "; \
  636 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  637 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  638 distuninstallcheck:
  639 	@test -n '$(distuninstallcheck_dir)' || { \
  640 	  echo 'ERROR: trying to run $@ with an empty' \
  641 	       '$$(distuninstallcheck_dir)' >&2; \
  642 	  exit 1; \
  643 	}; \
  644 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  645 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  646 	  exit 1; \
  647 	}; \
  648 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  649 	   || { echo "ERROR: files left after uninstall:" ; \
  650 	        if test -n "$(DESTDIR)"; then \
  651 	          echo "  (check DESTDIR support)"; \
  652 	        fi ; \
  653 	        $(distuninstallcheck_listfiles) ; \
  654 	        exit 1; } >&2
  655 distcleancheck: distclean
  656 	@if test '$(srcdir)' = . ; then \
  657 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  658 	  exit 1 ; \
  659 	fi
  660 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  661 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  662 	       $(distcleancheck_listfiles) ; \
  663 	       exit 1; } >&2
  664 check-am: all-am
  665 check: check-recursive
  666 all-am: Makefile $(SCRIPTS) config.h
  667 installdirs: installdirs-recursive
  668 installdirs-am:
  669 install: install-recursive
  670 install-exec: install-exec-recursive
  671 install-data: install-data-recursive
  672 uninstall: uninstall-recursive
  673 
  674 install-am: all-am
  675 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  676 
  677 installcheck: installcheck-recursive
  678 install-strip:
  679 	if test -z '$(STRIP)'; then \
  680 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  681 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  682 	      install; \
  683 	else \
  684 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  685 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  686 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  687 	fi
  688 mostlyclean-generic:
  689 
  690 clean-generic:
  691 
  692 distclean-generic:
  693 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  694 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  695 
  696 maintainer-clean-generic:
  697 	@echo "This command is intended for maintainers to use"
  698 	@echo "it deletes files that may require special tools to rebuild."
  699 clean: clean-recursive
  700 
  701 clean-am: clean-generic mostlyclean-am
  702 
  703 distclean: distclean-recursive
  704 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  705 	-rm -f Makefile
  706 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  707 
  708 dvi: dvi-recursive
  709 
  710 dvi-am:
  711 
  712 html: html-recursive
  713 
  714 html-am:
  715 
  716 info: info-recursive
  717 
  718 info-am:
  719 
  720 install-data-am:
  721 
  722 install-dvi: install-dvi-recursive
  723 
  724 install-dvi-am:
  725 
  726 install-exec-am:
  727 
  728 install-html: install-html-recursive
  729 
  730 install-html-am:
  731 
  732 install-info: install-info-recursive
  733 
  734 install-info-am:
  735 
  736 install-man:
  737 
  738 install-pdf: install-pdf-recursive
  739 
  740 install-pdf-am:
  741 
  742 install-ps: install-ps-recursive
  743 
  744 install-ps-am:
  745 
  746 installcheck-am:
  747 
  748 maintainer-clean: maintainer-clean-recursive
  749 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  750 	-rm -rf $(top_srcdir)/autom4te.cache
  751 	-rm -f Makefile
  752 maintainer-clean-am: distclean-am maintainer-clean-generic
  753 
  754 mostlyclean: mostlyclean-recursive
  755 
  756 mostlyclean-am: mostlyclean-generic
  757 
  758 pdf: pdf-recursive
  759 
  760 pdf-am:
  761 
  762 ps: ps-recursive
  763 
  764 ps-am:
  765 
  766 uninstall-am:
  767 
  768 .MAKE: $(am__recursive_targets) all install-am install-strip
  769 
  770 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  771 	am--refresh check check-am clean clean-cscope clean-generic \
  772 	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  773 	dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
  774 	dist-zip dist-zstd distcheck distclean distclean-generic \
  775 	distclean-hdr distclean-tags distcleancheck distdir \
  776 	distuninstallcheck dvi dvi-am html html-am info info-am \
  777 	install install-am install-data install-data-am install-dvi \
  778 	install-dvi-am install-exec install-exec-am install-html \
  779 	install-html-am install-info install-info-am install-man \
  780 	install-pdf install-pdf-am install-ps install-ps-am \
  781 	install-strip installcheck installcheck-am installdirs \
  782 	installdirs-am maintainer-clean maintainer-clean-generic \
  783 	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
  784 	tags-am uninstall uninstall-am
  785 
  786 .PRECIOUS: Makefile
  787 
  788 
  789 dist-hook:
  790 	@set -e; \
  791 	if test -d "$(srcdir)/.git"; then \
  792 		echo Generating ChangeLog; \
  793 		( cd "$(srcdir)" && auxdir/missing --run git log ) > \
  794 			ChangeLog.tmp; \
  795 		mv -f ChangeLog.tmp "$(distdir)/ChangeLog"; \
  796 	else \
  797 		echo Skipping ChangeLog generation: no .git directory >&2; \
  798 	fi
  799 
  800 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  801 # Otherwise a system limit (for SysV at least) may be exceeded.
  802 .NOEXPORT: